Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.minecraftforge.event.entity.player
Class PlayerEvent.BreakSpeed

    java.lang.Object
      net.minecraftforge.event.Event
          net.minecraftforge.event.entity.EntityEvent
              net.minecraftforge.event.entity.living.LivingEvent
                  net.minecraftforge.event.entity.player.PlayerEvent
                      net.minecraftforge.event.entity.player.PlayerEvent.BreakSpeed

Enclosing class:
  PlayerEvent

    public static class PlayerEvent.BreakSpeed

extends PlayerEvent

Nested Class Summary

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.player.PlayerEvent
`PlayerEvent.BreakSpeed, PlayerEvent.HarvestCheck`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.living.LivingEvent
`LivingEvent.LivingJumpEvent, LivingEvent.LivingUpdateEvent`

Nested classes/interfaces inherited from class net.minecraftforge.event.entity.EntityEvent
`EntityEvent.CanUpdate, EntityEvent.EnteringChunk`

Nested classes/interfaces inherited from class net.minecraftforge.event.Event
`Event.Result`

Field Summary
`Block` | `block`
`int` | `metadata`
`float` | `newSpeed`
`float` | `originalSpeed`

Fields inherited from class net.minecraftforge.event.entity.player.PlayerEvent
`entityPlayer`

Fields inherited from class net.minecraftforge.event.entity.living.LivingEvent
`entityLiving`

Fields inherited from class net.minecraftforge.event.entity.EntityEvent
`entity`

Constructor Summary
`PlayerEvent.BreakSpeed(EntityPlayer player, Block block, int metadata, float original)`

Method Summary

Methods inherited from class net.minecraftforge.event.Event
`getListenerList, isCancelable, isCanceled, setCanceled`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### block

    public final Block block

### metadata

    public final int metadata

### originalSpeed

    public final float originalSpeed

### newSpeed

    public float newSpeed

Constructor Detail

### PlayerEvent.BreakSpeed

    public PlayerEvent.BreakSpeed(EntityPlayer player,
                                  Block block,
                                  int metadata,
                                  float original)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD